package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECConstants;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$5 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var6 = SECNamedCurves.access$0("FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFAC73");
      BigInteger var1 = ECConstants.ZERO;
      BigInteger var2 = BigInteger.valueOf(7L);
      BigInteger var3 = SECNamedCurves.access$0("0100000000000000000001B8FA16DFAB9ACA16B6B3");
      BigInteger var4 = BigInteger.valueOf(1L);
      ECCurve.Fp var5;
      ECCurve.Fp var10000 = var5 = new ECCurve.Fp;
      var10000.<init>(var6, var1, var2);
      ECPoint var7 = var10000.decodePoint(Hex.decode("043B4C382CE37AA192A4019E763036F4F5DD4D7EBB938CF935318FDCED6BC28286531733C3F03C4FEE"));
      return new X9ECParameters(var5, var7, var3, var4, (byte[])null);
   }
}
